<section>    
    <div class="example-button-row">
        <button mat-button (click)="btnClickAddCustomer($event)"><mat-icon class="icon-button">person_add</mat-icon> <span>Add Customer</span></button>        
    </div>
</section>
<mat-divider></mat-divider>
<section>
    <div class="example-container mat-elevation-z8">
        <div class="example-loading-shade" *ngIf="isLoadingResults || isRateLimitReached">
            <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
            <div class="example-rate-limit-reached" *ngIf="isRateLimitReached">
                Customer's API rate limit has been reached. It will be reset in one minute.
            </div>
        </div>

        <div class="example-table-container">
            <table mat-table [dataSource]="customers" class="example-table" matSort matSortActive="customerName"
                matSortDisableClear matSortDirection="asc">

                <ng-container matColumnDef="accountNumber">
                    <th mat-header-cell *matHeaderCellDef> Account Number </th>
                    <td mat-cell *matCellDef="let customer"> {{customer.accountNumber}} </td>
                </ng-container>

                <ng-container matColumnDef="customerName">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Customer Name </th>
                    <td mat-cell *matCellDef="let customer"> {{customer.person.fullName}} </td>
                </ng-container>

                <ng-container matColumnDef="storeName">
                    <th mat-header-cell *matHeaderCellDef> Store Name </th>
                    <td mat-cell *matCellDef="let customer"> {{customer.store.name}} </td>
                </ng-container>

                <ng-container matColumnDef="territoryName">
                    <th mat-header-cell *matHeaderCellDef> Territory Name </th>
                    <td mat-cell *matCellDef="let customer"> {{customer.territory.name}} </td>
                </ng-container>

                <ng-container matColumnDef="modifiedDate" >
                    <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Modified Date </th>
                    <td mat-cell *matCellDef="let customer"> {{customer.modifiedDate}} </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
        </div>

        <mat-paginator [length]="resultsLength" [pageSize]="30"
            aria-label="Select page of GitHub search results"></mat-paginator>
    </div>
</section>